declare enum ActionTypes {
    PREV = "PREV",
    NEXT = "NEXT",
    SPECIFIC = "SPECIFIC",
    DONE = "DONE"
}
declare type PrevAction = {
    type: ActionTypes.PREV;
    payload: {
        length: number;
    };
};
declare type NextAction = {
    type: ActionTypes.NEXT;
    payload: {
        length: number;
    };
};
declare type DONEAction = {
    type: ActionTypes.DONE;
};
declare type SpecificAction = {
    type: ActionTypes.SPECIFIC;
    payload: {
        desired: number;
    };
};
declare type Action = PrevAction | NextAction | SpecificAction | DONEAction;
declare type State = {
    desired: number;
    active: number;
    displayCount: number;
    transitionEnabled: boolean;
};
declare const loopReducer: (state: State, action: Action) => State | undefined;
declare const carouselReducer: (state: State, action: Action) => State;
interface CarouselProps {
    loop: boolean;
    length: number;
    displayCount: number;
}
declare type ReturnProps = {
    onClick: () => void;
    next?: boolean;
    prev?: boolean;
    active?: boolean;
    disabled?: boolean;
};
declare const useCarousel: ({ loop, length, displayCount, }: CarouselProps) => {
    activeIndex: number;
    getCarouselProps: () => {
        style: any;
        onTransitionEnd: () => void;
    };
    getPrevBtnProps: () => ReturnProps;
    getNextBtnProps: () => ReturnProps;
    getSpecificBtnProps: ({ index }: {
        index: number;
    }) => ReturnProps;
};
export { useCarousel, loopReducer, carouselReducer };
//# sourceMappingURL=hooks.d.ts.map